Bug 1359 - iptables doesn\'t accept REJECT target on the \'stable\' kernel
: iptables doesn\'t accept REJECT target on the \'stable\' kernel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-10-05 20:47 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-05 20:47:06
Reading iptables from /etc/sysconfig/iptables containing these lines:

:myREJECT - [0:0]
-A myREJECT -j LOG --log-prefix \"Rejecting input \" 
-A myREJECT -j REJECT --reject-with icmp-port-unreachable 


fails on kernel24-stable-up-2.4.19-alt0.5.

On kernel24-up-2.4.19-alt0.2 it works.

According to documentation of iptables (man iptables), REJECT is a valid target.

---

---
iptables-1.2.6a-alt1

------- Comment #1 From 2002-11-21 23:05:11 -------
BTW, the iptables.spec has:

BuildPreReq: perl-base, kernel24-source

and kernel24-source is obsoleted?
------- Comment #2 From 2002-11-21 23:05:11 -------
BTW, the iptables.spec has:

BuildPreReq: perl-base, kernel24-source

and kernel24-source is obsoleted?
------- Comment #3 From 2003-01-29 15:06:03 -------
Already fixed in iptables-1.2.7a
------- Comment #4 From 2003-01-29 15:06:03 -------
Already fixed in iptables-1.2.7a
------- Comment #5 From 2003-02-12 21:51:05 -------
Seems to be fixed.
------- Comment #6 From 2003-02-12 21:51:05 -------
Seems to be fixed.